# QueryPrivateConnectBandwidthPrice

## 1. 接口描述

调用本接口用于二层网络专线骨干网带宽询价。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

<table><thead><tr><th width="185">参数名称</th><th width="78.85864661654136">必选</th><th width="196">类型</th><th>描述</th></tr></thead><tbody><tr><td>sourceDcId</td><td>是</td><td>String</td><td>二层网络其中一端接入点的数据中心ID。</td></tr><tr><td>destinationDcId</td><td>是</td><td>String</td><td>二层网络另外一端接入点的数据中心ID。</td></tr><tr><td>internetType</td><td>否</td><td><a href="../../datastructure#internettype">InternetType</a></td><td><p>网络计费类型。</p><p>默认值为ByBandwidth。</p></td></tr><tr><td>bandwidthMbps</td><td>否</td><td>Integer</td><td>二层网络专线的最大带宽限制。<br>默认值是10，单位：Mbps。</td></tr></tbody></table>

## 3. 响应结果

<table><thead><tr><th width="257">参数名称</th><th width="221.33333333333331">类型</th><th>描述</th></tr></thead><tbody><tr><td>requestId</td><td>String</td><td><p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 RequestId。</p></td></tr><tr><td>price</td><td><a href="../../datastructure#price">Price</a></td><td>二层网络专线带宽价格。</td></tr><tr><td>stock</td><td>Integer</td><td>二层网络专线带宽可用库存，单位：Mbps。</td></tr></tbody></table>

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 对1个二层网络专线骨干网带宽进行询价,带宽为10Mbps。**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: QueryPrivateConnectBandwidthPrice
<Common Request Params>

Request：
{
    "sourceDcId": "SIN1",
    "destinationDcId": "LAX1",
    "internetType": "ByBandwidth",
    "bandwidthMbps": 10
}

Response：
{   
  "requestId": "TDB181167-C39F-4C3E-8E88-B8FDE755FDC0",
  "response": {
    "requestId":"TDB181167-C39F-4C3E-8E88-B8FDE755FDC0",
    "price":        {
            "unitPrice":1.65,
            "originalPrice":null,
            "discountPrice":null,
            "discount":100,
            "stepPrices":null,
            "discountUnitPrice":1.65,
            "chargeUnit":"DAY"
        },
    "stock": 10000
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/toolkit)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/instruction/commonerrorcode)

| HTTP状态码 | 错误码                                     | 说明                |
| ------- | --------------------------------------- | ----------------- |
| 404     | INVALID\_DATACENTER\_NOT\_FOUND         | 数据中心不存在。          |
| 400     | INVALID\_PRIVATE\_CONNECT\_NOT\_SUPPORT | 当前数据中心暂不支持二层网络专线。 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/networking/sdn/query-price/queryprivateconnectbandwidthprice.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
